
#include "cloud.h"

/*
Mutation of JRC version of Kriebel and Saunders, DAYTIME algorithm.
Will also work at nighttime PROVIDED that nighttime dummy reflectance values
R5 and R7 are <= 0.

Returns 0 if clear pixel, non-zero if cloudy pixel.

Thresholds updated for MODIS Collection 6, along with an additional very simple
reflectance cloud test specifically for water pixels.

Revised for MODIS Collection 6.
*/
int iscloud(float R5, float R7, float T16, int water)
{
	int test1, test2, test3a, test3b, test4;

	test1 = (R5 + R7) > 1.2F;
	test2 = T16 < 265.0F;

	test3a = (R5 + R7) > 0.7F;
	test3b = T16 < 285.0F;

	test4 = water && (T16 < 300.0F) && (R7 > 0.25F);

	return test1 || test2 || (test3a && test3b) || test4;
}

