#ifndef ERROR_H
#define ERROR_H

/*
ERR_NONE is not a true error code, but rather a place holder to reserve the
value of zero since it is used as a non-error return code throughout this
code.
*/

enum {ERR_NONE,
	/* fatal errors */
	ERR_HDF, ERR_HDF_QUIET, ERR_DATA_TYPE, ERR_DATA_RANK, ERR_MISSING_ATTR,
	ERR_DATA_SIZE,
	ERR_NLINES_MISMATCH,
	ERR_IMAGE_LINES,
	ERR_F_MEM,
	ERR_LAST	/* placeholder -- keep this entry last */
	};


/* other possibilities include
	WARN_
	INFO_
*/


#define error(code) report_error(code, __LINE__, __FILE__)
#define warn(s) report_warn(s, __LINE__, __FILE__)


int report_error(int code, int line, char *file);
void report_warn(char *msg, int line, char *file);
void errmsg(char *);

#endif
