/*
A structure to contain only the relevant HDF information from
the VMAE and QSLWMIP input granules.
*/
typedef struct {
	int32	sd_id_vmae;		/* NPP_VMAE_L1 */

	int32	sds_index_M5, sds_index_M7, sds_index_M11;
	int32	sds_index_M13, sds_index_M15, sds_index_M16;

	int32	sds_index_QF5;
	int32	sds_index_QF7;
	int32	sds_index_QF11;
	int32	sds_index_QF13;
	int32	sds_index_QF15;
	int32	sds_index_QF16;

	int32	sds_index_L13;

	int32	sds_index_lat, sds_index_lon;
	int32	sds_index_viewzen, sds_index_solzen;
	int32	sds_index_viewaz, sds_index_solaz;

	int32	sd_id_lc;		/* NPP_QSLWMIP_L2 */
	int32	sds_index_lc;

	int		nscans;
	enum Satellite	sat;

	char	*gringLatLonStr[2];

	float32		ScaleR5, OffsetR5;
	float32		ScaleR7, OffsetR7;
	float32		ScaleR11, OffsetR11;
	float32		ScaleT15, OffsetT15;
	float32		ScaleT16, OffsetT16;
	} HDF_InputInfo;


int InitInputHDF(int32 sd_vmae, int32 sd_lc, HDF_InputInfo *);
int ReadScan(HDF_InputInfo *hinfo, int iscan, Scan *);
int read_gring(int32 sds_id, char *gringLatLonStr[2]);

