
#include "mfhdf.h"
#include "land_cover.h"


static const uint8 LC_OCEAN = 17;
static const uint8 LC_COAST = 19;
/*
Unused:
#define LC_INLAND_WATER 18
*/


/* return 1 if land pixel, 0 otherwise */
int lw_land(uint8 lc)
{
	return (lc < LC_OCEAN);
}


/* return 1 if coast pixel, 0 otherwise */
int lw_coast(uint8 lc)
{
	return (lc == LC_COAST);
}


/* return 1 if open ocean pixel, 0 otherwise */
int lw_ocean(uint8 lc)
{
	return (lc == LC_OCEAN);
}


/* surface-type values of 248 and higher
indicate missing data arising for different reasons */
/* return 1 if missing value for land-water mask, 0 otherwise */
int lw_missing(uint8 lc)
{
	const uint8 UINT8_FILL_TEST = 247;

	return (lc > UINT8_FILL_TEST);
}


int lw_trim(uint8 lc)
{
	const uint8 ONBOARD_PT_UINT8_FILL = 253;
	const uint8 ONGROUND_PT_UINT8_FILL = 252;

	return (lc == ONBOARD_PT_UINT8_FILL) || (lc == ONGROUND_PT_UINT8_FILL);
}


